<?php namespace App\Entities;

use CodeIgniter\Entity;

class User extends Entity
{
    // Este método se encarga de encriptar la contraseña cuando se establece
    protected function setPassword(string $Password)
    {
        $this->attributes['Password'] = password_hash($Password, PASSWORD_DEFAULT);
    }
}
